#
# Conditional build:
%bcond_with	tests		# build without tests

%define	pkgname	rack
Summary:	Modular interface to webservers
Summary(pl.UTF-8):	Modularny interfejs do serwerów WWW
Name:		ruby-%{pkgname}
Version:	1.4.5
Release:	3
License:	MIT
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	6661d225210f6b48f83fb279aba0a149
URL:		http://rubyforge.org/projects/rack
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	sed >= 4.0
%if %{with tests}
BuildRequires:	ruby-bacon
BuildRequires:	ruby-fcgi
BuildRequires:	ruby-memcache-client
BuildRequires:	ruby-mongrel
BuildRequires:	ruby-rake
BuildRequires:	ruby-thin
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rack provides a minimal, modular and adaptable interface for
developing web applications in Ruby. By wrapping HTTP requests and
responses in the simplest way possible, it unifies and distills the
API for web servers, web frameworks, and software in between (the
so-called middleware) into a single method call.

%description -l pl.UTF-8
Rack dostarcza minimalny, modularny i adaptowalny interfejs do
tworzenia aplikacji WWW w języku Ruby. Opakowując zapytania i
odpowiedzi HTTP w sposób najprostszy z możliwych, unifikuje oraz
przekształca API dla serwerów WWW, szkieletów aplikacji WWW i
oprogramowania znajdującego się między nimi (tzw. middleware) w jedno
wywołanie metody.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}
%{__sed} -i -e '1 s,#!.*ruby,#!%{__ruby},' bin/*

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
%{__rm} -r ri/{FCGI,created.rid,cache.ri}
%{__rm} ri/URI/cdesc-URI.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{ruby_vendorlibdir},%{ruby_specdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a bin/* $RPM_BUILD_ROOT%{_bindir}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rdoc
%attr(755,root,root) %{_bindir}/rackup
%{ruby_vendorlibdir}/rack.rb
%{ruby_vendorlibdir}/rack
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%{_examplesdir}/%{name}-%{version}

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Rack
%changelog
* Fri Apr 01 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-rack.git;a=log;h=master

* Fri Apr 01 2016 Jan Rękorajski <baggins@pld-linux.org> faf1f1b
- release 3 (by relup.sh)

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 7228353
- rebuild with rubygems
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> 8bbb733
- up to 1.4.5

* Wed Jul 23 2014 Elan Ruusamäe <glen@delfi.ee> a84309d
- ruby 2.0 rebuild
- release 4 (by relup.sh)

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 08a4391
- update ri packaging for ruby 2.0

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> 32e6885
- build with rubygem provides

* Sun Oct 06 2013 Elan Ruusamäe <glen@delfi.ee> 85000ff
- build noarch; install to vendor dir

* Mon May 23 2011 aredridel <aredridel@pld-linux.org> 0fd0da4
- 1.3.0

* Wed Mar 16 2011 aredridel <aredridel@pld-linux.org> 137e1f9
- 1.2.2, fixes security problem in authentication

* Mon Nov 08 2010 Caleb Maclennan <caleb@alerque.com> 34e0ad1
- Up to 1.2.1

* Tue Aug 31 2010 aredridel <aredridel@pld-linux.org> 5e62f42
- 1.2.0

* Tue Mar 02 2010 Jan Rękorajski <baggins@pld-linux.org> fcb3b26
- added rdoc and ri packages
- simplified build

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> c3f920a
- up to 1.1.0

* Fri Jan 09 2009 aredridel <aredridel@pld-linux.org> c7799f0
- 0.9.1

* Fri Jun 13 2008 aredridel <aredridel@pld-linux.org> 541a99e
- 0.3.0

* Thu Mar 08 2007 beorn <beorn@pld-linux.org> 06730ae
- Polish translation (there's too many "i"'s IMHO)

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> a111426
- added

